package main

import (
	"log"
	"net/http"
)

var (
	inputQueue   *DeploymentQueue // queued
	processQueue *DeploymentQueue // deploying, failed, deployed
)

func main() {
	server := newDeploymentAgentServer()

	inputQueue = new(DeploymentQueue)
	processQueue = new(DeploymentQueue)

	go processDeploymentSpecs(&podmanClient{}, &http.Client{Transport: socketHttpTransport}, "http://podman/v1.0.0/libpod")

	if err := http.ListenAndServe(":5000", server); err != nil {
		log.Fatalf("could not listen on port 5000 %v", err)
	}
}
